/*
 * SPDX-License-Identifier: AGPL-3.0-only
 * Copyright (c) Camden Dixie O'Brien
 */

#include "fatal.h"

#include "esp_log.h"
#include "esp_system.h"

#define TAG "Fatal"

void _fatal(const char *func, const char *file, unsigned line)
{
	ESP_LOGE(TAG, "%s() @ %s:%u", func, file, line);
	while (1) { }
}
